﻿using ConsoleGraph.WindowBase;
using System;
using System.Collections.Generic;
using System.Text;

namespace ConsoleGraph.Controls
{
    public abstract class IControls
    {


        #region Abstract Void

        abstract public void Draw();
        abstract public void Select();
        abstract public void Unselect();
        abstract public void AddLett(char c);
        abstract public void BackSpace();
        abstract public void CursorMoveLeft();
        abstract public void CursorMoveRight();
        abstract public void CursorMoveUp();
        abstract public void CursorMoveDown();
        abstract public void CursorToStart();
        abstract public void CursorToEnd();
        abstract public void Enter();
        abstract public void Tab();

        #endregion




        #region Private Field

        private int x;
        private int y;
        private int width;
        private int height;
        private bool selectable;
        private string iD;
        private Window parent;

        #endregion




        #region Public Property

        public int Height { get => height; set => height = value; }
        public int Width { get => width; set => width = value; }
        public int Y { get => y; set => y = value; }
        public int X { get => x; set => x = value; }
        public bool Selectable { get => selectable; set => selectable = value; }
        public string ID { get => iD; set => iD = value; }
        public Window Parent { get => parent; set => parent = value; }

        internal void AddLetter(char keyChar)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
